Summary: Open Source PDF library for Python
Name: reportlab
Version: 1.20
%define repversion 1_20

Source0: http://www.reportlab.org/ftp/ReportLab_%{repversion}.tgz
Source1: http://www.reportlab.com/docs/userguide.pdf

License: Open Source, see included license.txt
Group: Applications/Bioinformatics
Vendor: Reportlab <info@reportlab.com>
Packager: Bent Terp <Bent.Terp@bea.ki.se>
Distribution: BIOrpms
URL: http://www.reportlab.org
BuildRoot: %{_tmppath}/%{name}-root
Provides: reportlab
Requires: python
BuildRequires: python-devel

Release: 2.PU_IAS.2


%description
ReportLab is a software library that lets you directly create documents in Adobe's Portable Document Format (PDF) using the Python programming language. PDF is the global standard for electronic documents. It supports high-quality printing yet is totally portable across platforms, thanks to the freely available Acrobat Reader. Any application which previously generated hard copy reports can benefit from making PDF documents instead; these can be archived, emailed, placed on the web, or printed out the old-fashioned way. However, the PDF file format is a complex indexed binary format which is impossible to type directly. The PDF format specification is more than 600 pages long and PDF files must provide precise byte offsets -- a single extra character placed anywhere in a valid PDF document can render it invalid. Until now, most of the world's PDF documents have been produced by Adobe's Acrobat tools, which act as a 'print driver'. The ReportLab library directly creates PDF based on your graphics commands. There are no intervening steps. Your applications can generate reports extremely fast - sometimes orders of magnitude faster than traditional report-writing tools.

%prep
%setup -n reportlab_%{repversion} 

%build
cd reportlab
python ./setup.py build

%install
cp %{SOURCE1} .
cd reportlab
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%{_prefix}
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 755 -d $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
python ./setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc *pdf
#%{_libdir}/python*/reportlab/*
#%{_libdir}/python*/site-packages/*.so
/usr/lib/python*/site-packages/reportlab
%{_libdir}/python*/site-packages/reportlab
#%{_datadir}/doc/%{name}-%{version}/*

%clean

rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Feb 22 2005 Josko Plazonic <plazonic@math.princeton.edu>
- new version 1.20

* Thu Feb 19 2004 Bent Terp <Bent.Terp@bea.ki.se>
- Initial specfile
- Built 1_19
